
QGIS Application - Bug report #11270

PyQGIS failing with undefined symbol

2014-09-25 08:50 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19569

Description

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/lib/python2.7/dist-packages/qgis/__init__.py", line 36, in 

    from qgis.core import QgsFeature, QgsGeometry

  File "/usr/lib/python2.7/dist-packages/qgis/core/__init__.py", line 1, in 

    from qgis._core import *

ImportError: /usr/lib/python2.7/dist-packages/qgis/_core.so: undefined symbol: _ZN21QgsSymbolLayerV2Utils10parseColorE7QString

Python version:

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

QGIS version:

2.5.0-Master 'Master', exported

Python path:

['/usr/share/qgis/python', u'/home/gavin/.qgis2/python', u'/home/gavin/.qgis2/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/local/lib/python2.7/dist-packages', '/usr/local/lib/python2.7/dist-packages/xml2ddl-0.3.1-py2.7.egg', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/local/lib/python2.7/dist-packages/setuptools-0.6c11-py2.7.egg-info',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

History

#1 - 2014-09-26 05:46 AM - Denis Rouzaud

- Status changed from Open to Feedback

This can occur if you run another version than the one installed on the computer.

You might have install packages while running a compiled version.

#2 - 2014-10-25 02:05 AM - Jürgen Fischer

- Status changed from Feedback to Closed
closing for the lack of feedback
